Bug 206070 - Breaks rhgb
Breaks rhgb
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Depends On:
  Show dependency treegraph
Reported: 2006-09-11 15:34 EDT by Bill Nottingham
Modified: 2014-03-16 23:02 EDT (History)
2 users (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-22 10:16:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2006-09-11 15:34:31 EDT
Description of problem:

audit(1158000562.262:4): avc:  denied  { execute_no_trans } for  pid=1508 comm="
rhgb" name="gnome-pty-helper" dev=dm-0 ino=590317 scontext=system_u:system_r:rhg
b_t:s0 tcontext=system_u:object_r:lib_t:s0 tclass=file

Version-Release number of selected component (if applicable):

Comment 1 Daniel Walsh 2006-09-11 16:52:09 EDT
gnome-pty-helper has the wrong context on it.

matchpathcon /usr/lib/vte/gnome-pty-helper
/usr/lib/vte/gnome-pty-helper   system_u:object_r:bin_t

restorecon /usr/lib/vte/gnome-pty-helper
Comment 2 Bill Nottingham 2006-09-11 17:12:34 EDT
Doesn't help - restorecon doesn't want to relabel it. (note: this is x86_64 and
it's in /usr/lib64)
Comment 3 Daniel Walsh 2006-09-18 14:30:53 EDT
Fixed in selinux-policy-2.3.14-3
Comment 4 Daniel Walsh 2007-08-22 10:16:55 EDT
Should be fixed in the current release

Note You need to log in before you can comment on or make changes to this bug.